import { ClientCtrls } from "../../interface/ClientCtrls";
import { TkWebElement } from "../../interface/TkWebElement";
import { VisibleElementsOptions, WebElementListFinder, WebElementFinder } from "../../interface/WebElements";
import { UntilElementCondition } from "./ElementConditions";
import { By } from "./Locator";
import { WebElementWd } from "./WebElementWd";
/**
 * List object to wrap the location strategy for finding multiple elements with WebDriverJS
 */
export declare class WebElementListWd<WD> implements WebElementListFinder {
    getElements: () => Promise<TkWebElement<WD>[]>;
    private _locator;
    readonly browser: ClientCtrls<WD>;
    private createWebElementFromList;
    private _description;
    private logger;
    constructor(getElements: () => Promise<TkWebElement<WD>[]>, _locator: By, browser: ClientCtrls<WD>, createWebElementFromList: (elementList: WebElementListWd<WD>, browser: ClientCtrls<WD>) => WebElementWd<WD>);
    /**
     * Send
     */
    /**
     * find sub elements relative to this current waiter
     * @param locator - selector to find a sub waiter
     */
    element(locator: By): WebElementFinder;
    /**
     * find all sub elements relative to this element
     * @param locator - selector to find all sub elements
     */
    all(locator: By): WebElementListFinder;
    /**
     * wait for condition until interaction with element / element list
     * @param condition - the waiter condition to wait for
     */
    shallWait(condition: UntilElementCondition): WebElementListFinder;
    count(): Promise<number>;
    click(): Promise<void>;
    isEnabled(options?: VisibleElementsOptions): Promise<boolean[] | boolean>;
    isVisible(options?: VisibleElementsOptions): Promise<boolean[] | boolean>;
    getText(): Promise<string[]>;
    toWebElement(): WebElementWd<WD>;
    filteredByText(searchText: string): WebElementListFinder;
    called(description: string): WebElementListFinder;
    get description(): string;
    get locatorDescription(): string;
    toString(): string;
}
//# sourceMappingURL=WebElementListWd.d.ts.map